document.addEventListener('keydown', (evt) => { // код обработчика
    const btns = document.querySelectorAll('.btn');
    const pressedKey = evt.code; //присваивается значение кода нажатой клавиши

    //Для каждого элемента проверяется значение атрибута data-key
    for (i = 0; i < btns.length; i++) {
        if (btns[i].dataset.key == pressedKey) {  //если оно совпадает с значением переменной pressedKey, то кнопка получает
            // свойство style.backgroundColor
            btns[i].style.backgroundColor = 'blue';
        } else {
            btns[i].style.backgroundColor = '';
        }
    }
})


/*Для роботи з елементом input можна використовувати клавіатуру, і, фактично, саме цим вона призначена.
 Однак, при розробці веб-додатків необхідно враховувати, що деякі користувачі можуть мати обмеження в русі рук
  або використовувати програмне забезпечення допомоги для руху миші або клавіатури.
Тому рекомендується розробляти веб-додатки таким чином, щоб користувачі могли взаємодіяти з ними за допомогою
різних методів, включаючи використання миші та клавіатури.

 */

